%global provider        github
%global provider_tld    com
%global project         projectatomic
%global repo            oci-systemd-hook
# https://github.com/projectatomic/oci-systemd-hook
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          671c428e61856f482cc1f2165c0cb73db865ff70
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           %{repo}
Epoch:          1
Version:        0.1.4
Release:        9.git%{shortcommit}%{?dist}
Summary:        OCI systemd hook for docker
Group:          Applications/Text
License:        GPLv3+
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(yajl)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(mount)
BuildRequires:  go-md2man
Obsoletes:      %{name} <= 1.10.3-46

%description
OCI systemd hooks enable running systemd in a OCI runc/docker container.

%prep
%setup -q -n %{name}-%{commit}

%build
aclocal
autoreconf -i
%configure --libexecdir=%{_libexecdir}/oci/hooks.d/
make %{?_smp_mflags}

%install
%make_install

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%doc README.md
%license LICENSE
%{_mandir}/man1/%{name}.1*
%dir %{_libexecdir}/oci
%dir %{_libexecdir}/oci/hooks.d
%{_libexecdir}/oci/hooks.d/%{name}

%changelog
* Thu Jan 12 2017 Dan Walsh <dwalsh@redhat.com> - 1:0.1.4-9.git671c428
- Resolves: #1412728
- built commit 671c428

* Tue Dec 20 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-8.git45455fe
- Resolves: #1364237
- built commit 45455fe

* Tue Oct 25 2016 Frantisek Kluknavsky <fkluknav@redhat.com> - 1:0.1.4-7.gita9c551a
- rebase

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-6.git337078c
- Resolves: #1355905
- built commit 337078c

* Tue Jul 05 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-5.git41491a3
- Obsoletes the subpackage earlier provided by docker

* Thu Jun 30 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1:0.1.4-4.git41491a3
- Bump Epoch to 1 so that it can obsolete subpackage from docker

* Tue Jun 28 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-3.git41491a3
- re-add provider_prefix since gofed needs it

* Thu Jun 23 2016 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.1.4-2.git41491a3
- built commit 41491a3
- spec file cleanup
- remove provider_prefix and only use import_path

* Thu Feb 18 2016 Dan Walsh <dwalsh@redhat.com> - 0.1.4-1.gitde345df
- Fix up to prepare for review

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.3
- Fix bug in man page installation

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.2
- Add man pages

* Mon Nov 23 2015 Mrunal Patel <mrunalp@gmail.com> - 0.1.1
- Initial RPM release
